## wxColourPickerEvent

This event class is used for the events generated by wxColourPickerCtrl.

Derived from

wxCommandEvent
wxEvent
wxObject

Include files

<wx/clrpicker.h>

Event handling

To process input from a wxColourPickerCtrl, use one of these event handler macros to direct input to member function that take a wxColourPickerEvent argument:

EVT_COLOURPICKER_CHANGED(id, func) | Generated whenever the selected colour changes.

See also

wxColourPickerCtrl

Members

wxColourPickerEvent::wxColourPickerEvent
wxColourPickerEvent::GetColour
wxColourPickerEvent::SetColour

### wxColourPickerEvent::wxColourPickerEvent

wxColourPickerEvent(wxObject * generator, int id, const wxColour& colour)

The constructor is not normally used by the user code.

### wxColourPickerEvent::GetColour

wxColour GetColour() const

Retrieve the colour the user has just selected.

### wxColourPickerEvent::SetColour

void SetColour(const wxColour &pos)

Set the colour associated with the event.